Buildroot: %{_builddir}/%{name}-root
Name: unicore-tsi6
Version: 5.1.0
Release: 0.sl5
Obsoletes: unicore-tsi
Provides: unicore-tsi

Summary: UNICORE TSI
License: BSD
Distribution: RedHat
Group: System Environment/Daemons
URL: http://www.unicore.eu
#Requires: 
BuildArch: noarch
Packager: UNICORE unicore-support@lists.sourceforge.net
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-tsi6-5.1.0-0.src.tar.gz

%description
UNICORE (Uniform Interface to Computing Resources) offers a
ready-to-run Grid system including client and server software.
UNICORE makes distributed computing and data resources available
in a seamless and secure way in intranets and the internet.

This package contains the UNICORE Target System Interface (TSI),
wrapping LRMS specific details behind an abstract interface. The TSI
is the only UNICORE component required to run as root.

%changelog
* Thu Feb 2 2012 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-Restructured to use the packman tool

* Fri Feb 11 2011 Bjoern Hagemeier <unicore-support@lists.sourceforge.net> 
-Initial rpm package

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=5.1.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files

#
# other files and dirs
#
%attr(744 root root) "/etc/rc.d/init.d/unicore-tsi"
%attr(744 root root) "/etc/unicore/tsi/tsi.properties"
%dir %attr(755 root root) "/var/log/unicore"
%dir %attr(755 root root) "/var/run/unicore"

%dir %attr(755 root root) "/usr/share/doc/unicore/tsi"
%attr(644 root root) "/usr/share/doc/unicore/tsi/*"
%dir %attr(755 root root)  "/usr/share/unicore/tsi"
%attr(644 root root) "/usr/share/unicore/tsi/*"

%post

%preun
/etc/rc.d/init.d/unicore-tsi stop
rm -f /etc/unicore/tsi/LAST_TSI_PIDS

